Description

I would like to see support for OpenCL/CUDA in QGIS. It could be used for speeding up data processing. | guess this would be a major
effort and a developer could probably better identify a starting point. How about trying to find a somewhat small case/tool and start from
there?

http://0sgeo-org.1560.x6.nabble.com/Any-work-being-done-implementing-OpenCL-CUDA-in-QGIS-td5260900.html

A discussion on the plans that Manifold Systems have for a similar case, http://www.georeference.org/forum/t129214.

History

#1 - 2016-04-14 02:32 AM - Vincent Picavet

- Resolution set to invalid

- Status changed from Open to Closed

Using GPU for Geo-data processing is indeed a good idea. This is very far from being an easy task though.

Moreover, it barely concerns QGIS.

If we want to improve data processing for QGIS, we have to work at the Processing modules level. Which means improving GDAL, OGR, SAGA, GRASS,
OTB and the other underlying frameworks used in the algorithms proposed by QGIS Processing.

Note that you can already write GPU-backed data processing by writing Python plugins for Processing if you want.

And indeed it would need a use case for that first.

Please open tickets in upstream projects instead of QGIS.

Closing this one as invalid for QGIS.

#2 - 2016-04-14 02:54 AM - Magnus Nilsson

OK, | see. What about the tools listed as QGIS geoalgorithms in Processing? Are they also external libraries or could they be relevant for GPU work? Could

there be other areas of GPU work in QGIS, besides processing?

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown

#4 - 2018-09-05 09:41 AM - Alessandro Pasotti
- Resolution changed from invalid to fixed/implemented
http://osgeo-org.1560.x6.nabble.com/Any-work-being-done-implementing-OpenCL-CUDA-in-QGIS-td5260900.html
http://www.georeference.org/forum/t129214

- Description updated

OpenCL support is now in QGIS core and a few processing algorithms can use it.
